! *************************************************************************************************
! sue_config1608.f90
! model configuration
! *************************************************************************************************



MODULE sue_config
  

  IMPLICIT NONE
  

! ***********************************************
! *** MODEL CONFIGURATION-SPECIFIC PARAMETERS ***
! ***********************************************
! NOTE: change these values before compiling to re-configure the ocean boxes

! model name strings
  CHARACTER(LEN=7),PARAMETER::modelname     = "sue1608"
  CHARACTER(LEN=7),PARAMETER::modelname_col = "sue16xx"
! ocean sub-system box configuration
! NOTE: ocean boxes configured in columns and rows
! NOTE: there must be at least 2 rows (layers) in the ocean configuration
  INTEGER,PARAMETER::n_col                  =  16     ! number of columns in ocean box configuration
  INTEGER,PARAMETER::n_lay                  =  08     ! number of layers in ocean box configuration
! sediment sub-system configuration
  INTEGER,PARAMETER::n_sed_depth            =  17     ! number of sediment depth intervals [17] (99 max)

! ***********************************************
 

END MODULE sue_config

